Overview | Modules | Class Hierarchy | Classes | Members
# tlp::EdgeExtremityGlyph Class Reference `#include <EdgeExtremityGlyph.h>` Inherited by tlp::EdgeExtremityGlyphFrom2DGlyph, and tlp::EdgeExtremityGlyphFrom3DGlyph. Inheritance diagram for tlp::EdgeExtremityGlyph: [legend] List of all members. ## Public Member Functions EdgeExtremityGlyph (EdgeExtremityGlyphContext *gc) virtual ~EdgeExtremityGlyph () virtual void draw (edge e, node n, const Color &glyphColor, const Color &borderColor, float lod)=0 virtual void getTransformationMatrix (const Coord &src, const Coord &dest, const Size &glyphSize, MatrixGL &transformationMatrix, MatrixGL &scalingMatrix)=0 ## Protected Attributes GlGraphInputData * edgeExtGlGraphInputData ## Constructor & Destructor Documentation
tlp::EdgeExtremityGlyph::EdgeExtremityGlyph | ( | EdgeExtremityGlyphContext * | gc | ) |
virtual tlp::EdgeExtremityGlyph::~EdgeExtremityGlyph | ( |  | ) | `[virtual]`
## Member Function Documentation
virtual void tlp::EdgeExtremityGlyph::draw | ( | edge | e,
|  | node | n,
|  | const Color & | glyphColor,
|  | const Color & | borderColor,
|  | float | lod
| ) | `[pure virtual]`
virtual void tlp::EdgeExtremityGlyph::getTransformationMatrix | ( | const Coord & | src,
|  | const Coord & | dest,
|  | const Size & | glyphSize,
|  | MatrixGL & | transformationMatrix,
|  | MatrixGL & | scalingMatrix
| ) | `[pure virtual]`
| Implemented in tlp::EdgeExtremityGlyphFrom3DGlyph, and tlp::EdgeExtremityGlyphFrom2DGlyph.
## Member Data Documentation
GlGraphInputData* tlp::EdgeExtremityGlyph::edgeExtGlGraphInputData`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010